jQuery(function ($) {
 var contact = {
  message: null,
  init: function () {
   $('.mtel, #contact-form input.contact, #contact-form a.contact').click(function (e) {
    e.preventDefault();

    // load the contact form using ajax
    $.get("/infusions/mtel_panel/mtel.php", function(data){
     // create a modal dialog with the data
     $(data).modal({
      closeHTML: "<a href='#' title='Закрыть' class='modal-close'></a>",
      position: ["15%",],
      overlayId: 'contact-overlay',
      containerId: 'contact-container',
      onOpen: contact.open,
      onShow: contact.show,
      onClose: contact.close
     });
    });
   });
  },
  open: function (dialog) {
   // высота окна
   var h = 220;
   var title = $('#contact-container .contact-title').html();
   $('#contact-container .contact-title').html('Секундочку...');
   dialog.overlay.fadeIn(200, function () {
    dialog.container.fadeIn(200, function () {
     dialog.data.fadeIn(200, function () {
      $('#contact-container .contact-content').animate({
       height: h
      }, function () {
       $('#contact-container .contact-title').html(title);
       $('#contact-container form').fadeIn(200, function () {
        $('#contact-container #contact-name').focus();

       });
      });
     });
    });
   });
  },
  show: function (dialog) {
   $('#contact-container .contact-send').click(function (e) {
    e.preventDefault();
    // validate form
    if (contact.validate()) {
     var msg = $('#contact-container .contact-message');
     msg.fadeOut(function () {
      msg.removeClass('contact-error').empty();
     });
     $('#contact-container .contact-title').html('Отправка...');
     $('#contact-container form').fadeOut(200);
     $('#contact-container .contact-content').animate({
      height: '80px'
     }, function () {
      $('#contact-container .contact-loading').fadeIn(200, function () {
       $.ajax({
        url: '/infusions/mtel_panel/mtel.php',
        data: $('#contact-container form').serialize() + '&action=send',
        type: 'post',
        cache: false,
        dataType: 'html',
        success: function (data) {
         $('#contact-container .contact-loading').fadeOut(200, function () {
          $('#contact-container .contact-title').html('Результат:');
          msg.html(data).fadeIn(200);
         });
        },
        error: contact.error
       });
      });
     });
    }
    else {
     if ($('#contact-container .contact-message:visible').length > 0) {
      var msg = $('#contact-container .contact-message div');
      msg.fadeOut(200, function () {
       msg.empty();
       contact.showError();
       msg.fadeIn(200);
      });
     }
     else {
      $('#contact-container .contact-message').animate({
       height: '40px'
      }, contact.showError);
     }
     
    }
   });
  },
  close: function (dialog) {
   $('#contact-container .contact-message').fadeOut();
   $('#contact-container .contact-title').html('Всего доброго!...');
   $('#contact-container form').fadeOut(200);
   $('#contact-container .contact-content').animate({
    height: 40
   }, function () {
    dialog.data.fadeOut(200, function () {
     dialog.container.fadeOut(200, function () {
      dialog.overlay.fadeOut(200, function () {
       $.modal.close();
      });
     });
    });
   });
  },
  error: function (xhr) {
   alert(xhr.statusText);
  },
  validate: function () {
   contact.message = '';
   if (!$('#contact-container #contact-name').val()) {
    contact.message += 'Введите имя! ';
   }

   var email = $('#contact-container #contact-email').val();
   if (!email) {
    contact.message += 'Введите Email! ';
   }
   else {
    if (!contact.validateEmail(email)) {
     contact.message += 'Некорректный Email! ';
    }
   }
   if (!$('#contact-container #contact-subject').val()) {
    contact.message += 'Введите тему! ';
   }

   if (!$('#contact-container #contact-message').val()) {
    contact.message += 'Введите сообщение! ';
   }
 /*  if (!$('#contact-container #captcha_code').val()) {
    contact.message += 'Введите код! ';
   }*/

   if (contact.message.length > 0) {
    return false;
   }
   else {
    return true;
   }
  },
  validateEmail: function (email) {
   var at = email.lastIndexOf("@");

   // Make sure the at (@) sybmol exists and  
   // it is not the first or last character
   if (at < 1 || (at + 1) === email.length)
    return false;

   // Make sure there aren't multiple periods together
   if (/(\.{2,})/.test(email))
    return false;

   // Break up the local and domain portions
   var local = email.substring(0, at);
   var domain = email.substring(at + 1);

   // Check lengths
   if (local.length < 1 || local.length > 64 || domain.length < 4 || domain.length > 255)
    return false;

   // Make sure local and domain don't start with or end with a period
   if (/(^\.|\.$)/.test(local) || /(^\.|\.$)/.test(domain))
    return false;

   // Check for quoted-string addresses
   // Since almost anything is allowed in a quoted-string address,
   // we're just going to let them go through
   if (!/^"(.+)"$/.test(local)) {
    // It's a dot-string address...check for valid characters
    if (!/^[-a-zA-Z0-9!#$%*\/?|^{}`~&'+=_\.]*$/.test(local))
     return false;
   }

   // Make sure domain contains only valid characters and at least one period
   if (!/^[-a-zA-Z0-9\.]*$/.test(domain) || domain.indexOf(".") === -1)
    return false; 

   return true;
  },
  showError: function () {
   $('#contact-container .contact-message')
    .html($('<div class="contact-error"></div>').append(contact.message))
    .fadeIn(200);
  }
 };

 contact.init();

});